/* google font link  */
@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300;400;500;600;700&display=swap');

/* font awesome cdn link  */
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css');

:root{
   --main-color:#16a085;
   --nav:#0c0c0c;
   --red:#eb4d4b;
   --orange:#f39c12;
   --black:#130f40;
   --light-color:#999;
   --light-bg:#eee;
   --white:#fff;
   --border:.1rem solid rgba(0,0,0,.2);
   --box-shadow:0 .5rem 1rem rgba(0,0,0,.1);
}


*{
   font-family: 'Comfortaa', cursive;
   margin: 0px; padding: 0px;
   box-sizing: border-box;
   outline: none; border: none;
   text-decoration: none;
   scrollbar-color: var(--main-color) var(--black);
   scrollbar-width: thin;
   font-family: 'Monaco';


}

html{
   font-size: 62.5%;
   overflow-x: hidden;
}

body{
   background-color: var(--white);
   padding-bottom: 8rem;
}

section{
   max-width: 1200px;
   margin: 0 auto;
   padding: 2rem;
}

.heading{
   display: flex;
   align-items: center;
   justify-content: space-between;
   padding-bottom: 2rem;
   margin-bottom: 2.5rem;
   gap: 1.5rem;
   flex-wrap: wrap;
   border-bottom: var(--border);
}

.heading h1{
   font-size: 2.5rem;
   color: var(--black);
   text-transform: capitalize;
}

.empty{
   background-color: var(--white);
   border-radius: .5rem;
   border: var(--border);
   padding: 1.5rem;
   font-size: 1.8rem;
   color: var(--red);
   text-align: center;
   width: 100%;
   box-shadow: var(--box-shadow);
}

.btn,
.delete-btn,
.option-btn{
   display: block;
   width: 100%;
}

.inline-btn,
.inline-delete-btn,
.inline-option-btn{
   display: inline-block;
}

.btn,
.delete-btn,
.option-btn,
.inline-btn,
.inline-delete-btn,
.inline-option-btn{
   margin-top: 1rem;
   margin-right: auto;
   text-align: center;
   padding: 1rem 7rem;
   font-size: 1.8rem;
   border-radius: .5rem;
   border: var(--border);
   color: var(--white);
   cursor: pointer;
   text-transform: capitalize;
}

.btn,
.inline-btn{
   background-color: var(--nav);
}

.delete-btn,
.inline-delete-btn{
   background-color: var(--red);
}

.option-btn,
.inline-option-btn{
   background-color: var(--nav);
}

.btn:hover,
.delete-btn:hover,
.option-btn:hover,
.inline-btn:hover,
.inline-delete-btn:hover,
.inline-option-btn:hover{
   background-color: var(--light-color);
   font-family: ' Georgia', sans-serif;
   
}

.flex-btn{
   display: flex;
   align-items: center;
   column-gap: 1.5rem;
   justify-content: space-between;
   flex-wrap: wrap;
}

.header{
   position: sticky;
   top: 0; left: 0; right: 0;
   background-color: var(--nav);
   z-index: 1000;
}

.header .flex{
   display: flex;
   align-items: center;
   justify-content: space-between;
   position: relative;
}

.header .flex .logo{
   font-size: 2.5rem;
   color: var(--orange);
}

.header .flex .navbar #user-btn,
.header .flex .navbar a{
   height: 4.2rem;
   width: 4.5rem;
   line-height: 4.2rem;
   font-size: 2rem;
   color: var(--white);
   padding: 5px;
  
   border-radius: .5rem;
   text-align: center;
   margin-left: .5rem;
   cursor: pointer;
}

.header .flex .navbar #user-btn:hover,
.header .flex .navbar a:hover{
   background-color: var(--light-color);
   color: var(--white);
   /* font-family: ' Georgia', sans-serif; */
}

.header .flex .profile{
   position: absolute;
   top: 120%; right: 2rem;
   background-color: var(--white);
   box-shadow: var(--box-shadow);
   padding: 2rem;
   text-align: center;
   width: 30rem;
   border-radius: .5rem;
   border: var(--border);
   overflow-x: hidden;
   transform: scale(0);
   transform-origin: top right;
}

.header .flex .profile.active{
   transform: scale(1);
   transition: .2s linear;
}

.header .flex .profile p{
   overflow-x: hidden;
   text-overflow: ellipsis;
   color: var(--light-color);
   font-size: 1.8rem;
   padding-bottom: .5rem;
}

.header .flex .profile .image{
   height: 7rem;
   width: 7rem;
   border-radius: 50%;
   object-fit: cover;
   margin-bottom: 1.5rem;
}

.account-form form{
   background: var(--white);
   box-shadow: var(--box-shadow);
   box-shadow: var(--box-shadow);
   padding: 2rem;
   border: var(--border);
   border-radius: .5rem;
   max-width: 50rem;
   margin: 0 auto;
}

.account-form form h3{
   padding-bottom: 1rem;
   font-size: 2.5rem;
   color: var(--black);
   text-transform: capitalize;
   text-align: center;
}

.account-form form p{
   padding-top: 1rem;
   font-size: 1.6rem;
   color: var(--light-color);
}

.account-form form p span{
   color: var(--red);
}

.account-form form .box{
   width: 100%;
   border-radius: .5rem;
   padding: 1.4rem;
   font-size: 1.8rem;
   color: var(--black);
   background-color: var(--light-bg);
   margin: 1rem 0;
}

.account-form form textarea{
   height: 15rem;
   resize: none;
}

.account-form form .image{
   height: 20rem;
   width: 100%;
   object-fit: contain;
   margin-top: .5rem;
}

.account-form form .link{
   padding: 1rem 0;
   text-align: center;
   font-size: 1.8rem;
   color: var(--light-color);
}

.account-form form .link a{
   color: var(--red);
}

.account-form form .link a:hover{
   text-decoration: underline;
}

.all-posts .box-container{
   display: grid;
   grid-template-columns: repeat(auto-fit, 35rem);
   gap: 1.5rem;
   align-items: flex-start;
   justify-content: center;
}

.all-posts .box-container .box{
   background-color: var(--white);
   box-shadow: var(--box-shadow);
   border-radius: .5rem;
   padding: 2rem;
   border: var(--border);
   overflow-x: hidden;
}

.all-posts .box-container .box .image{
   width: 100%;
   height: 40rem;
   border-radius: .5rem;
   object-fit: cover;
   margin-bottom: 1.5rem;
}

.all-posts .box-container .box .title{
   font-size: 2rem;
   color: var(--black);
   text-overflow: ellipsis;
   overflow-x: hidden;
}

.all-posts .box-container .box .total-reviews{
   font-size: 1.7rem;
   padding: 1rem 0;

}

.all-posts .box-container .box .total-reviews i{
   color: var(--orange);
}

.all-posts .box-container .box .total-reviews span{
   color: var(--light-color);
}

.view-post .row{
   display: flex;
   align-items: center;
   flex-wrap: wrap;
   gap: 2rem;
   background-color: var(--white);
   box-shadow: var(--box-shadow);
   border: var(--border);
   background-color: var(--white);
   padding: 2rem;
   border-radius: .5rem;
}

.view-post .row .col{
   flex: 1 1 40rem;
}

.view-post .row .col .image{
   width: 100%;
   height: 55rem;
   border-radius: .5rem;
   object-fit: cover;
   margin-bottom: 1.5rem;
}

.view-post .row .col .title{
   font-size: 2rem;
   color: var(--black);
}

.view-post .row .col .flex{
   display: flex;
   flex-wrap: wrap;
   gap: 2rem;
   align-items: center;
   justify-content: space-evenly;
}

.view-post .row .col .flex .total-reviews{
   text-align: center;
}

.view-post .row .col .flex .total-reviews h3{
   font-size: 7rem;
   color: var(--black);
}

.view-post .row .col .flex .total-reviews i{
   font-size: 3rem;
}

.view-post .row .col .flex .total-reviews p{
   font-size: 1.8rem;
   color: var(--light-color);
   padding-top: 1rem;
}


.view-post .row .col .flex .total-ratings{
   font-size: 2rem;
}

.view-post .row .col .flex .total-ratings p{
   padding: .3rem 0;
}

.view-post .row .col .flex .total-ratings p i{
   color: var(--orange);
}

.view-post .row .col .flex .total-ratings p span{
   color: var(--light-color);
}

.reviews-container .box-container{
   display: grid;
   row-gap: 3rem;
   background-color: var(--white);
   box-shadow: var(--box-shadow);
   border: var(--border);
   border-radius: .5rem;
   padding: 2rem;
}

.reviews-container .box-container .box{
   border-bottom: var(--border);
   overflow-x: hidden;
   padding-bottom: 1.5rem;
   position: relative;
}

.reviews-container .box-container .box .user{
   display: flex;
   align-items: center;
   gap: 1.5rem;
   margin-bottom: 1rem;
}

.reviews-container .box-container .box .user img{
   height: 6rem;
   width: 6rem;
   border-radius: 50%;
   object-fit: cover;
}

.reviews-container .box-container .box .user h3{
   font-size: 2.5rem;
   height: 6rem;
   width: 6rem;
   border-radius: 50%;
   background-color: var(--light-bg);
   text-transform: uppercase;
   text-align: center;
   line-height: 6.5rem;   
}

.reviews-container .box-container .box .user p{
   font-size: 1.8rem;
   color: var(--black);
   text-overflow: ellipsis;
   overflow-x: hidden;
   padding-bottom: .3rem;
}

.reviews-container .box-container .box .user span{
   color: var(--light-color);
   font-size: 1.5rem;
}

.reviews-container .box-container .box .ratings{
   position: absolute;
   top: 0; right: 0;
   z-index: 10;
}

.reviews-container .box-container .box .ratings p{
   border-radius: .5rem;
   color: var(--white);
   padding: .5rem 1rem;
}

.reviews-container .box-container .box .ratings p span{
   font-size: 2rem;
}

.reviews-container .box-container .box .ratings p i{
   font-size: 1.5rem;
}

.reviews-container .box-container .box .title{
   font-size: 2rem;
   color: var(--black);
   padding: .5rem 0;
}

.reviews-container .box-container .box .description{
   font-size: 1.6rem;
   white-space: pre-line;
   color: var(--light-color);
   line-height: 1.5;
}



/* media queries  */

@media (max-width:991px){

   html{
      font-size: 55%;
   }

}

@media (max-width:450px){

   html{
      font-size: 50%;
   }

   .view-post .row .col .image{
      height: 20rem;
   }

}


/* Customize success messages */
.success-swal {
   background-color: #4CAF50; /* Green background color */
   color: white; /* Text color */
 }
 
 /* Customize warning messages */
 .warning-swal {
   background-color: #ff0000; /* Orange background color */
   color: white; /* Text color */
 }
 
 /* Customize error messages */
 .error-swal {
   background-color: #f44336; /* Red background color */
   color: white; /* Text color */
 }
 
 /* Customize info messages */
 .info-swal {
   background-color: #2196F3; /* Blue background color */
   color: white; /* Text color */
 }
 